- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::relate::EdgeEndBundle Class Reference

Contains all geomgraph::EdgeEnd objectss which start at the same point and are parallel. More...

`#include <EdgeEndBundle.h>`

Inheritance diagram for geos::operation::relate::EdgeEndBundle:

List of all members.

## Public Member Functions
| EdgeEndBundle (geomgraph::EdgeEnd *e)
geomgraph::Label * | getLabel ()
std::vector < geomgraph::EdgeEnd * > * | getEdgeEnds ()
void | insert (geomgraph::EdgeEnd *e)
void | computeLabel ()
void | updateIM (geom::IntersectionMatrix *im)
std::string | print ()
## Protected Member Functions
void | computeLabelOn (int geomIndex)
void | computeLabelSides (int geomIndex)
void | computeLabelSide (int geomIndex, int side)
## Protected Attributes
std::vector < geomgraph::EdgeEnd * > * | edgeEnds

## Detailed Description

Contains all geomgraph::EdgeEnd objectss which start at the same point and are parallel.

The documentation for this class was generated from the following file:

- EdgeEndBundle.h